<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.jiyueplatform.mapper.JiyueDeviceOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="jiyueDeviceOrderResultMap" type="org.springblade.jiyueplatform.entity.JiyueDeviceOrder">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="order_no" property="orderNo"/>
        <result column="user_phone" property="userPhone"/>
        <result column="community_id" property="communityId"/>
        <result column="community_name" property="communityName"/>
        <result column="valid_before" property="validBefore"/>
        <result column="imei" property="imei"/>
        <result column="device_name" property="deviceName"/>
        <result column="device_type" property="deviceType"/>
        <result column="location" property="location"/>
        <result column="action_type" property="actionType"/>
        <result column="desc" property="desc"/>
        <result column="ctei" property="ctei"/>
        <result column="user_id" property="userId"/>
        <result column="remark" property="remark"/>
    </resultMap>


    <select id="selectJiyueDeviceOrderPage" resultMap="jiyueDeviceOrderResultMap">
        select * from third_jiyue_device_order where is_deleted = 0
    </select>

</mapper>
